Package io.dapr.client.domain

# Class BulkPublishResponseFailedEntry<T>

java.lang.Object
io.dapr.client.domain.BulkPublishResponseFailedEntry<T>

public final class BulkPublishResponseFailedEntry<T> extends Object
Class representing the entry that failed to be published using BulkPublishRequest.

## Constructor Summary

Constructors
Constructor
Description
`BulkPublishResponseFailedEntry(BulkPublishEntry<T> entry, String errorMessage)`
Constructor for BulkPublishResponseFailedEntry.

## Method Summary

Modifier and Type
Method
Description
`BulkPublishEntry<T>`
`getEntry()`
`String`
`getErrorMessage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BulkPublishResponseFailedEntry

public BulkPublishResponseFailedEntry(BulkPublishEntry<T> entry, String errorMessage)
Constructor for BulkPublishResponseFailedEntry.

Parameters:
  `entry` - The entry that has failed.
  `errorMessage` - The error message for why the entry failed.

## Method Details

### getEntry

public BulkPublishEntry<T> getEntry()

### getErrorMessage

public String getErrorMessage()